For the complete documentation index, see llms.txt. This page is also available as Markdown.

Object Storage

get
Authorizations
AuthorizationstringRequired

Pass a Service Account Key as the Bearer token to authenticate. e.g. 'sk:xxxxxxx'

Query parameters
afterstringOptional
limitnumberOptional
Responses
200Success
application/json
get
/v1/object-storages
200Success
get
Authorizations
AuthorizationstringRequired

Pass a Service Account Key as the Bearer token to authenticate. e.g. 'sk:xxxxxxx'

Path parameters
objectStorageIdstringRequired
Responses
200Success
application/json
idstringRequired

Unique ID

namestringRequired

The name of the object storage

get
/v1/object-storages/{objectStorageId}
200Success
post
Authorizations
AuthorizationstringRequired

Pass a Service Account Key as the Bearer token to authenticate. e.g. 'sk:xxxxxxx'

Path parameters
objectStorageIdstringRequired
Query parameters
pathstringOptional
Responses
200Success
application/json
filePathstringRequired

The path within the storage where the file has been stored

sizeKbnumberRequired

The stored file size in kb

storagestringRequired

The Object Storage Id on which the file has been uploaded

post
/v1/object-storages/{objectStorageId}/upload
200Success
get
Authorizations
AuthorizationstringRequired

Pass a Service Account Key as the Bearer token to authenticate. e.g. 'sk:xxxxxxx'

Path parameters
objectStorageIdstringRequired
Query parameters
pathstringRequired
Responses
200Success

No content

get
/v1/object-storages/{objectStorageId}/download
200Success

No content

Last updated